<?php
//USING
require_once '../Class/model/ContasModel.php';
require_once '../Class/model/GrupoContasModel.php';

/**
 * BancosControl - Controle das Contas
 *
 * Essa classe controla as requisicoes da classe Contas
 *
 * @version 	1.0
 * @project 	Módulo Financeiro
 * @copyright	Jay.com.br 2012
 * @access 		public
 */
class ContasControl
{
	protected $id;
	protected $action;
	protected $deletar;

	public function setId()
	{
		if (isset($_GET['id']))
		{
			$this->id = $_GET['id'];
		}
	}

	public function getId()
	{
		return $this->id;
	}

	public function setAction()
	{
		if (isset($_POST['action']))
		{
			$this->action = $_POST['action'];
		}
	}

	public function getAction()
	{
		return $this->action;
	}

	public function setDel()
	{
		if (isset($_GET['del']))
		{
			$this->deletar = $_GET['del'];
		}
	}

	public function getDel()
	{
		return $this->deletar;
	}

	//Constructor
	public function __construct()
	{

	}

	public function GetData()
	{
		$result = new ContasModel();
		$result->setId($_POST['Id']);
		$result->setGrupo($_POST['grupo']);
		$result->setNumero($_POST['numero']);
		$result->setNome($_POST['nome']);
		$result->setNumContaReduzida($_POST['ncontareduzida']);
		$result->setHistoricoPadrao($_POST['historicopadrao']);
		$result->setOrdem($_POST['ordem']);

		return $result->save();
	}
	
	public function LoadGrupoById($pId)
	{
		$result = new GrupoContasModel();
		$result->load($pId);
		
		return $result->getNome();
	}
}

?>